<article class="text">
	<h1><?= html($page->title()) ?></h1>
	
	<div class="contact">
		<div class="contact__main">
			<form class="contact__form form<?php e($form->success(), ' form--success') ?>" action="<?= url::current() ?>" method="post">
				<div class="field field--required field--small">
					<label class="field__label" for="name"><?= l::get('contact.name', 'Name') ?></label>
					<input class="input field__input<?php e($form->error('name'), ' input--invalid') ?>" type="text" name="name" id="name" value="<?= $form->old('name') ?>" placeholder=" " autocomplete="name" required/>
				</div>
				
				<div class="field field--required field--small">
					<label class="field__label" for="email"><?= l::get('contact.email', 'Email address') ?></label>
					<input class="input field__input<?php e($form->error('email'), ' input--invalid') ?>" type="email" name="email" id="email" value="<?= $form->old('email') ?>" placeholder=" " autocomplete="email" required/>
				</div>
				
				<div class="field">
					<label class="field__label" for="message"><?= l::get('contact.message', 'Message') ?></label>
					<textarea class="input field__input" rows="7" name="message" id="message"><?= $form->old('message') ?></textarea>
				</div>
				
				<label class="vh" for="website"><?= l::get('contact.potty', 'Please leave this field blank') ?></label>
				<?= honeypot_field(null, 'vh') ?>
				<?= csrf_field() ?>
				
				<div class="form__message"><?php snippet('templates/contact.errors', compact('form')) ?></div>
				
				<button class="button form__submit" type="submit" name="_submit"<?php e($form->success(), ' disabled')?>><?= l::get('contact.submit', 'Submit') ?></button>
				
				<img class="contact__stamp" src="<?= url('assets/img/stamp.svg') ?>" alt="">
			</form>
			
			<div class="contact__thank-you">
				<?php if($form->success()): ?>
				<?= l::get('contact.message.success', 'Thank you for your message, I will get back to you soon.') ?>
				<?php endif ?>
			</div>
		</div>
		
		<aside class="contact__sidebar">
			<div class="contact__detail">
				<h2 class="contact__heading"><?= l::get('contact.heading.email', 'Email') ?></h2>
				<div class="contact__email"><?= qdatedHtml(true) ?> <a href="<?= url('legal') ?>#contact">?</a></div>
				<small><a href="<?= url('pgp.asc') ?>" rel="pgpkey" type="application/pgp-keys">PGP: 2E2A DD32 FE50 61C1</a></small>
			</div>
			
			<div class="contact__detail">
				<h2 class="contact__heading">Twitter</h2>
				<?= twitter('lukasbestle') ?>
			</div>
		</aside>
	</div>
</article>
